# Generated from mondrian-olap-1.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mondrian-olap

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 1%{?dist}
Summary: JRuby API for Mondrian OLAP Java library
License: MIT
URL: http://github.com/rsim/mondrian-olap
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.12.0
# BuildRequires: rubygem(rspec) < 3.13
# BuildRequires: rubygem(jdbc-mysql) >= 8.0.27
# BuildRequires: rubygem(jdbc-mysql) < 8.1
# BuildRequires: rubygem(jdbc-postgres) >= 42.2.25
# BuildRequires: rubygem(jdbc-postgres) < 42.3
# BuildRequires: rubygem(activerecord) >= 6.1.7.2
# BuildRequires: rubygem(activerecord) < 6.1.8
# BuildRequires: rubygem(activerecord-jdbc-adapter) >= 61.2
# BuildRequires: rubygem(activerecord-jdbc-adapter) < 62
# BuildRequires: rubygem(activerecord-oracle_enhanced-adapter) >= 6.1.6
# BuildRequires: rubygem(activerecord-oracle_enhanced-adapter) < 6.2
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
JRuby gem for performing multidimensional queries of relational database data
using Mondrian OLAP Java library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE-Mondrian.txt
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Fri Jun 02 2023 mockbuilder - 1.3.0-1
- Initial package
